Module | Sequel::Plugins::SerializationModificationDetection::InstanceMethods
In: | lib/sequel/plugins/serialization_modification_detection.rb

### Methods

changed_columns

### Public Instance methods

changed_columns()

Detect which serialized columns have changed.

[Source]

        # File lib/sequel/plugins/serialization_modification_detection.rb, line 29
    29:         def changed_columns
    30:           cc = super
    31:           deserialized_values.each{|c, v| cc << c if !cc.include?(c) && original_deserialized_value(c) != v}
    32:           cc
    33:         end

[Validate]